Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel
Class Kernel

    java.lang.Object
      org.jboss.kernel.Kernel

public class Kernel
extends Object

The kernel.

The kernel is the entry point into the kernel services.

Version:
  $Revision: 1.6 $
Author:
  Adrian Brock, Les A. Hazlewood

Field Summary
`static KernelPermission` | `ACCESS` The permission required to access the kernel
`protected KernelBus` | `bus` The kernel bus
`protected KernelConfig` | `config` The kernel config
`protected KernelConfigurator` | `configurator` The kernel configurator
`static KernelPermission` | `CONFIGURE` The permission required to configure the kernel
`protected KernelController` | `controller` The kernel controller
`protected KernelEventManager` | `eventManager` The kernel event manager
`protected KernelRegistry` | `registry` The kernel registry

Constructor Summary
`Kernel()`

Method Summary
`static void` | `checkAccess()` Check whether we can access the kernel
`static void` | `checkConfigure()` Check whether we can configure the kernel
`KernelBus` | `getBus()` Get the kernel bus
`KernelConfig` | `getConfig()` Get the kernel config
`KernelConfigurator` | `getConfigurator()` Get the kernel configurator
`KernelController` | `getController()` Get the kernel controller
`KernelEventManager` | `getEventManager()` Get the event manager
`KernelRegistry` | `getRegistry()` Get the kernel registry
`void` | `setBus(KernelBus bus)` Set the kernel bus.
`void` | `setConfig(KernelConfig config)` Set the kernel config.
`void` | `setConfigurator(KernelConfigurator configurator)` Set the kernel configurator.
`void` | `setController(KernelController controller)` Set the kernel controller.
`void` | `setEventManager(KernelEventManager eventManager)` Set the event manager.
`void` | `setRegistry(KernelRegistry registry)` Set the kernel registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCESS

    public static final KernelPermission ACCESS

  The permission required to access the kernel

### CONFIGURE

    public static final KernelPermission CONFIGURE

  The permission required to configure the kernel

### bus

    protected KernelBus bus

  The kernel bus

### config

    protected KernelConfig config

  The kernel config

### configurator

    protected KernelConfigurator configurator

  The kernel configurator

### controller

    protected KernelController controller

  The kernel controller

### eventManager

    protected KernelEventManager eventManager

  The kernel event manager

### registry

    protected KernelRegistry registry

  The kernel registry

Constructor Detail

### Kernel

    public Kernel()

Method Detail

### checkAccess

    public static void checkAccess()

  Check whether we can access the kernel

  Throws:
    `SecurityException` - if the you don't have KernelPermission('access')

### checkConfigure

    public static void checkConfigure()

  Check whether we can configure the kernel

  Throws:
    `SecurityException` - if the you don't have KernelPermission('configure')

### getBus

    public KernelBus getBus()

  Get the kernel bus

  Returns:
    the kernel bus
  Throws:
    `SecurityException` - if the you don't have KernelPermission('access')

### setBus

    public void setBus(KernelBus bus)

  Set the kernel bus.

  Parameters:
    `bus` - the kernel bus
  Throws:
    `SecurityException` - if the you don't have KernelPermission('configure')

### getConfig

    public KernelConfig getConfig()

  Get the kernel config

  Returns:
    the kernel config
  Throws:
    `SecurityException` - if the you don't have KernelPermission('access')

### setConfig

    public void setConfig(KernelConfig config)

  Set the kernel config.

  Parameters:
    `config` - the kernel config
  Throws:
    `SecurityException` - if the you don't have KernelPermission('configure')

### getConfigurator

    public KernelConfigurator getConfigurator()

  Get the kernel configurator

  Returns:
    the kernel configurator
  Throws:
    `SecurityException` - if the you don't have KernelPermission('access')

### setConfigurator

    public void setConfigurator(KernelConfigurator configurator)

  Set the kernel configurator.

  Parameters:
    `configurator` - the kernel configurator
  Throws:
    `SecurityException` - if the you don't have KernelPermission('configure')

### getController

    public KernelController getController()

  Get the kernel controller

  Returns:
    the kernel controller
  Throws:
    `SecurityException` - if the you don't have KernelPermission('access')

### setController

    public void setController(KernelController controller)

  Set the kernel controller.

  Parameters:
    `controller` - the kernel controller
  Throws:
    `SecurityException` - if the you don't have KernelPermission('configure')

### getEventManager

    public KernelEventManager getEventManager()

  Get the event manager

  Returns:
    the event manager
  Throws:
    `SecurityException` - if the you don't have KernelPermission('access')

### setEventManager

    public void setEventManager(KernelEventManager eventManager)

  Set the event manager.

  Parameters:
    `eventManager` - the event manager
  Throws:
    `SecurityException` - if the you don't have KernelPermission('configure')

### getRegistry

    public KernelRegistry getRegistry()

  Get the kernel registry

  Returns:
    the kernel registry
  Throws:
    `SecurityException` - if the you don't have KernelPermission('access')

### setRegistry

    public void setRegistry(KernelRegistry registry)

  Set the kernel registry.

  Parameters:
    `registry` - the kernel registry
  Throws:
    `SecurityException` - if the you don't have KernelPermission('configure')

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.